/**
 *
 * @param width
 * @param height
 * @param centerX
 * @param centerY
 * @param angle tilting of the page flip, between `-Math.PI / 2` and `Math.PI / 2`.
 *              positive for clockwise, negative for counter clockwise
 * @param maxShadowWidth
 * @param unit base unit of all length value, defaults to `1px`
 */
export declare const createEffectLeft: (width: number, height: number, centerX: number, centerY: number, angle: number, maxShadowWidth: number, unit?: string) => EffectStyle;

/**
 *
 * @param width
 * @param height
 * @param centerX
 * @param centerY
 * @param angle tilting of the page flip, between `-Math.PI / 2` and `Math.PI / 2`.
 *              positive for clockwise, negative for counter clockwise
 * @param maxShadowWidth
 * @param unit base unit of all length value, defaults to `1px`
 */
export declare const createEffectRight: (width: number, height: number, centerX: number, centerY: number, angle: number, maxShadowWidth: number, unit?: string) => EffectStyle;

export declare interface EffectStyle {
    flipFront: Partial<CSSStyleDeclaration>;
    flipBack: Partial<CSSStyleDeclaration>;
    flipShadow: Partial<CSSStyleDeclaration>;
    flipEffect: Partial<CSSStyleDeclaration>;
}

export declare const getEffectLeft: (width: number, height: number, topOffset: number, bottomOffset: number, maxShadowWidth: number, unit?: string) => EffectStyle;

export declare const getEffectLeftBottom: (width: number, height: number, leftOffset: number, bottomOffset: number, maxShadowWidth: number, unit?: string) => EffectStyle;

export declare const getEffectLeftTop: (width: number, height: number, leftOffset: number, topOffset: number, maxShadowWidth: number, unit?: string) => EffectStyle;

export declare const getEffectRight: (width: number, height: number, topOffset: number, bottomOffset: number, maxShadowWidth: number, unit?: string) => EffectStyle;

export declare const getEffectRightBottom: (width: number, height: number, rightOffset: number, bottomOffset: number, maxShadowWidth: number, unit?: string) => EffectStyle;

export declare const getEffectRightTop: (width: number, height: number, rightOffset: number, topOffset: number, maxShadowWidth: number, unit?: string) => EffectStyle;

export { }
